 
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<tiles:insertDefinition name="defaultTemplate">
	<tiles:putAttribute name="body">
		<ul class="breadcrumb">
			<li><a href="#">หน้าหลัก</a><span class="divider">&raquo;</span></li>
			<li class="active">รายงาน เบี้ยกระกันภัยค้างรับ</li>
		</ul>


		<div class="dashboard-widget">
			<div class="row-fluid">
                            <form:form class="form-horizontal well" id="frmFinancePreme" target="_blank" modelAttribute="financePremeReportBean" action="finance-preme-report-print" method="POST">
					<fieldset>
					<div class="control-group">
							<label class="control-label" for="input01">ณ วันที่</label>
							<div class="controls">
								<form:input path="atDate" id="atDate" class="input-medium" type="text" placeholder="ณ วันที่" />
							</div>
						</div>
						
						<div class="control-group">
							<label class="control-label" for="input01">รหัสตัวแทน</label>
							<div class="controls">
								<form:input path="agentIdStart" id="agentIdStart" class="input-medium" type="text" placeholder="รหัสตัวแทน" />
								-
								<form:input path="agentIdEnd" id="agentIdEnd" class="input-medium" type="text" placeholder="รหัสตัวแทน" />
							</div>
						</div>

						<div class="control-group">
							<label class="control-label" for="input01">วันที่เริ่มคุ้มครอง</label>
							<div class="controls">
								<form:input class="input-medium" type="text" path="covStartDate" placeholder="วันที่เริ่มคุ้มครอง" />
								-
								<form:input class="input-medium" type="text" path="covEndDate" placeholder="วันที่เริ่มคุ้มครอง" />
							</div>
						</div>

						<div class="control-group">
							<label class="control-label" for="input01">เลือกรายงาน</label>
							<div class="controls">
								<form:radiobutton path="reportType" value="A" />สรุปรายงานเบี้ยค้างชำระ <br />
								<form:radiobutton path="reportType" value="B" />รายละเอียดเบี้ยครบกำหนดชำระ <br />
								<form:radiobutton path="reportType" value="C" />รายละเอียดค้างกำหนดชำระ<br />								

							</div>
						</div>

						<div class="control-group">
							<div class="controls">
								<button class="btn btn-success">พิมพ์</button>

							</div>
						</div>

					</fieldset>
				</form:form>
			</div>
		</div>


	</tiles:putAttribute><tiles:putAttribute name="customScript">
		<script>
		$(function() {
			var atDate= $('#atDate').datepicker({ dateFormat: 'dd/mm/yy' });
			
				var covStartDate = $('#covStartDate').datepicker({ dateFormat: 'dd/mm/yy' , onSelect: function( selectedDate ) {
		            $( "#covEndDate" ).datepicker( "option", "minDate", selectedDate );
		        }});

				var covEndDate = $('#covEndDate').datepicker({ dateFormat: 'dd/mm/yy' , onSelect: function( selectedDate ) {
		            $( "#covStartDate" ).datepicker( "option", "maxDate", selectedDate );
		        }}); 
			});
		</script></tiles:putAttribute>
</tiles:insertDefinition>